#{form @lelang.LelangCtr.metodeSubmit(lelang.lls_id)}
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'lelang.jenis_pengadaan'} </label>
        <div class="col-sm-10">
            <select name="kategoriId" class="form-control" id="kategoriId" #{if !draft} disabled #{/if}>
                #{list items:kategoriList, as:'kgr'}
                <option value="${kgr.id}" ${kgr.id == kategori.id?'selected':''}>${kgr.nama}</option>
                #{/list}
            </select>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'lelang.metode_pemilihan'}</label>
        <div class="col-sm-10">
        <select name="mtdPemilihan" class="form-control" id="mtdPemilihan" #{if !draft} disabled #{/if}>
            #{list items:metodePemilihanList, as:'pemilihan'}
                <option value="${pemilihan.id}" ${pemilihan.id == lelang.mtd_pemilihan?'selected':''}>${pemilihan.label}</option>
            #{/list}
        </select>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'lelang.metode_kualifikasi'}</label>
        <div class="col-sm-10">
            <select name="mtdKualifikasi" class="form-control" id="mtdKualifikasi" #{if !draft} disabled #{/if}>
            #{list items:metodeKualifikasiList, as:'kualifikasi'}
                <option value="${kualifikasi.id}" ${kualifikasi.id == lelang.metode.kualifikasi.id?'selected':''}>${kualifikasi.label}</option>
            #{/list}
            </select>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'lelang.metode_doc'}</label>
        <div class="col-sm-10">
            <select name="mtdDokumen" class="form-control" id="mtdDokumen" #{if !draft} disabled #{/if}>
                #{list items:metodeDokumenList, as:'dokumen'}
                    <option value="${dokumen.id}" ${dokumen.id == lelang.metode.dokumen.id?'selected':''}>${dokumen.label}</option>
                #{/list}
            </select>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-sm-2 control-label">&{'lelang.metode_evaluasi'} </label>
        <div class="col-sm-10">
            <select name="mtdEvaluasi" class="form-control" id="mtdEvaluasi" #{if !draft} disabled #{/if}>
                #{list items:metodeEvaluasiList, as:'evaluasi'}
                    <option value="${evaluasi.id}" ${evaluasi.id == lelang.evaluasi.id?'selected':''}>${evaluasi.label}</option>
                #{/list}
            </select>
        </div>
    </div>
    <div class="form-group row">
        <div class="col-sm-offset-2 col-sm-10">
            #{if draft} #{saveButton /} #{/if}
        </div>
    </div>
#{/form}

<script type="text/javascript">
    $(document).ready(function(){
        $('#kategoriId').change();
    });

    $('#kategoriId').change(function(){
        //console.log('kategori : ' + $(this).val());
        if($(this).val() == 4) {
            $('#mtdPemilihan').empty().append($('<option>', {value:16, text:'Seleksi'}));
            $('#mtdDokumen').empty().append($('<option>', {value:1, text:'Dua File'}));
            $('#mtdKualifikasi').empty().append($('<option>', {value:1, text:'Pascakualifikasi'}));
            $('#mtdEvaluasi').empty().append($('<option>', {value:3, text:'Kualitas'}));
        }else if ($(this).val() == 1 || $(this).val() == 5) {
            $('#mtdPemilihan').empty().append($('<option>', {value:16, text:'Seleksi'}));
            $('#mtdDokumen').empty().append($('<option>', {value:1, text:'Dua File'}));
            $('#mtdKualifikasi').empty().append($('<option>', {value:0, text:'Prakualifikasi'}));
            $('#mtdEvaluasi').empty().append($('<option>', {value:3, text:'Kualitas'})).append($('<option>', {value:4, text:'Kualitas dan Biaya'}))
                    .append($('<option>', {value:5, text:'Pagu Anggaran'})).append($('<option>', {value:6, text:'Biaya Terendah'}));
        } else {
            $('#mtdPemilihan').empty().append($('<option>', {value:15, text:'Tender'})).append($('<option>', {value:9, text:'Tender Cepat'}));
            $('#mtdKualifikasi').empty().append($('<option>', {value:1, text:'Pascakualifikasi'})).append($('<option>', {value:0, text:'Prakualifikasi'}));
            $('#mtdKualifikasi').change();
        }
    });

    $('#mtdPemilihan').change(function(){
        //console.log('pemilihan : ' + $(this).val())
        if($(this).val() == 9) {
            $('#mtdKualifikasi').empty().append($('<option>', {value:1, text:'Pascakualifikasi'}));
            $('#mtdDokumen').empty().append($('<option>', {value:0, text:'Satu File'}));
            $('#mtdEvaluasi').empty().append($('<option>', {value:0, text:'Harga Terendah Sistem Gugur'}));
        } else {
            $('#mtdKualifikasi').empty().append($('<option>', {value:1, text:'Pascakualifikasi'})).append($('<option>', {value:0, text:'Prakualifikasi'}));
            $('#mtdKualifikasi').change();
        }
    });

    $('#mtdKualifikasi').change(function(){
        //console.log('kualifikasi : ' + $(this).val())
        if($(this).val() == 0) {
            if($('#kategoriId').val() == 2)
                $('#mtdDokumen').empty().append($('<option>', {value:1, text:'Dua File'}));
            else
                $('#mtdDokumen').empty().append($('<option>', {value:1, text:'Dua File'})).append($('<option>', {value:2, text:'Dua Tahap'}));
        }else if($(this).val() == 1) {
            $('#mtdDokumen').empty().append($('<option>', {value:0, text:'Satu File'})).append($('<option>', {value:1, text:'Dua File'}));
        }
        $('#mtdDokumen').change();
    });

    $('#mtdDokumen').change(function(){
        //console.log('dokumen : ' + $(this).val()+', kualifikasi : '+$('#mtdKualifikasi').val())
        if($(this).val() == 0) {
            $('#mtdEvaluasi').empty().append($('<option>', {value:0, text:'Harga Terendah Sistem Gugur'}));
        }
        else if ($('#kategoriId').val() == 1 || $('#kategoriId').val() == 5) {
             $('#mtdEvaluasi').empty().append($('<option>', {value:3, text:'Kualitas'})).append($('<option>', {value:4, text:'Kualitas dan Biaya'}))
                    .append($('<option>', {value:5, text:'Pagu Anggaran'})).append($('<option>', {value:6, text:'Biaya Terendah'}));
        }else if ($(this).val() == 1 && $('#kategoriId').val() == 2) {
            $('#mtdEvaluasi').empty().append($('<option>', {value:1, text:'Sistem Nilai'}));
        } else if ($(this).val() == 1 && $('#mtdKualifikasi').val() == 1) {
            $('#mtdEvaluasi').empty().append($('<option>', {value:8, text:'Harga Terendah Ambang Batas'}))
            .append($('<option>', {value:1, text:'Sistem Nilai'})).append($('<option>', {value:2, text:'Sistem Umur Ekonomis'}));
        } else {
            $('#mtdEvaluasi').empty().append($('<option>', {value:1, text:'Sistem Nilai'})).append($('<option>', {value:2, text:'Sistem Umur Ekonomis'}));
        }
    });
</script>